# 连接到网络 在您的网络和端口以及虚拟设备之间建立直接、低延迟的连接。 ## 先决条件[​](#先决条件 "直接链接至先决条件") 1. 身份验证 - 提交您的 OAuth2 用户凭据、客户端 ID 和客户端密钥 验证。有关如何致电OAuth API以验证和验证您的凭据的说明,请参阅[API验证](https://docs.equinix.com/zh-Hans/equinix-api/api-authentication.md)。 2. 获取Fabric网络信息-向端点发送`POST`搜索并检索可用网络列表的请求[`fabric/v4/networks/search`](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/networks/searchnetworks.md)。 3. 确定您的端口或虚拟设备信息。 * 使用[获取所有端口](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/ports/getports.md)端点检索Equinix Fabric端口信息。要查找特定端口的信息,请使用[获取指定端口](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/ports/getportbyuuid.md)端点。 * 确定您的Network Edge设备信息。您需要一个已配置且具有注册许可证的Equinix虚拟设备/冗余设备/集群。拨打[获取虚拟设备](https://docs.equinix.com/zh-Hans/api-catalog/network-edgev1/virtual-device/getvirtualdevices)或[获取](https://docs.equinix.com/zh-Hans/api-catalog/network-edgev1/virtual-device/getvirtualdevicebyuuid)虚拟[设备](https://docs.equinix.com/zh-Hans/api-catalog/network-edgev1/virtual-device/getvirtualdevices)[{uuid}](https://docs.equinix.com/zh-Hans/api-catalog/network-edgev1/virtual-device/getvirtualdevicebyuuid),以检查可用的虚拟设备和集群。您可以在设备上选择任何可用接口进行连接。但是,如果您未指定接口,Equinix将选择接口。 ## 创建从标记端口到 EVPLAN 网络的连接[​](#创建从标记端口到-evplan-网络的连接 "直接链接至创建从标记端口到 EVPLAN 网络的连接") 要创建从标记端口到EVPLAN网络的连接,请向端点发送`POST`请求[`/fabric/v4/connections`](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/connections/createconnection.md)。在请求正文中指定连接的配置详情。 | | **发布/fabric/v4/connections** | | -------- | --------------------------------------------------------------------------- | | 方法 | `POST` | | 端点 | `/fabric/v4/connections` | | 标题 | `Authorization`,`Content-Type` | | 路径参数 | 不适用 | | 查询参数 | 不适用 | | 身体参数 | `type`,`name`,`order` `bandwidth` `aSide`,,`zSide`,冗`notifications`余 | 在不创建连接的情况下在Production[中](https://docs.equinix.com/zh-Hans/equinix-api/testing/testing-in-production-dry-run.md)安全验证此请求,请参阅[在Production中测试(API Dry Run)](https://docs.equinix.com/zh-Hans/equinix-api/testing/testing-in-production-dry-run.md)。 cURL 请求示例: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{   "type": "EVPLAN_VC",   "name": "MY-EVPLAN-CONNECTION-1",   "bandwidth": 1000,   "aSide": {     "accessPoint": {       "type": "COLO",       "port": {         "uuid": "9127bb72-5f4f-4517-be74-3af7ce612687"       },       "linkProtocol": {         "type": "DOT1Q",         "vlanTag": 300       }     }   },   "zSide": {     "accessPoint": {       "type": "NETWORK",       "network": {         "uuid": "25f8884e-85e3-4eaa-8ea9-a7ad2ca5b3c2"       }     }   },   "order": {     "purchaseOrderNumber": "1-129105284100"   },   "notifications": [     {       "type": "ALL",       "emails": [         "test@equinix.com",         "test1@equinix.com"       ]     }   ] }' ``` 请求正文中包含的参数特定于此示例。参数及其说明的完整列表,请参见[API参考手册](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/connections/createconnection.md)。 示例回答: ``` { "type": "EVPLAN_VC", "href": "https://uat2api.npclouda.equinix.com/fabric/v4/connections/01df5124-eed1-4a30-89bb-240c33d5cd12", "uuid": "01df5124-eed1-4a30-89bb-240c33d5cd12", "name": "test2", "operation": {     "providerStatus": "NOT_AVAILABLE",     "equinixStatus": "PROVISIONING" }, "order": {     "billingTier": "Up to 50 MB" }, "notifications": [     {     "type": "ALL",     "emails": [         "1eqxnfvuser1@equinix.com"     ]     } ], "changeLog": {     "createdBy": "eqxnfvuser1",     "createdByFullName": "eqxnfvuser eqxnfvuser",     "createdByEmail": "1eqxnfvuser1@equinix.com",     "createdDateTime": "2023-03-27T18:29:53.117Z",     "updatedBy": "eqxnfvuser1",     "updatedByFullName": "eqxnfvuser eqxnfvuser",     "updatedByEmail": "1eqxnfvuser1@equinix.com",     "updatedDateTime": "2023-03-27T18:29:53.117Z" }, "bandwidth": 50, "redundancy": {     "priority": "PRIMARY",     "group": "7a58dd05-f46d-4b1d-a154-2e85c396ea63" }, "aSide": {     "accessPoint": {     "location": {         "metroCode": "DC"     },     "port": {         "type": "XF_PORT",         "href": "https://uat2api.npclouda.equinix.com/fabric/v4/ports/e569f0bb-96d5-6d5e-92e0-387a5c00a379",         "uuid": "e569f0bb-96d5-6d5e-92e0-387a5c00a379",         "name": "eqx-nfv-DC5-L-Dot1q-STD-Pri-1G-JP-2"     },     "linkProtocol": {         "type": "DOT1Q",         "vlanTag": 44     }     } }, "zSide": {     "accessPoint": {     "network": {         "href": "https://uat2api.npclouda.equinix.com/fabric/v4/networks/ecc81fe0-7a96-4e08-94f2-0ab52fae662b",         "uuid": "ecc81fe0-7a96-4e08-94f2-0ab52fae662b",         "name": "EVPLAN-AMER-1",         "platformUuid": "52c6ec8b-4aad-4167-be6d-1972a12d1b83",         "state": "ACTIVE",         "type": "EVPLAN",         "scope": "REGIONAL",         "location": {         "region": "AMER"         }     }     } } } ``` 响应负载包括在请求正文中定义的配置参数。有关可能参数及其说明的完整列表,请参阅[API参考手册](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/connections/createconnection.md)。 ## 创建从无标记端口到 EPLAN 网络的连接[​](#创建从无标记端口到-eplan-网络的连接 "直接链接至创建从无标记端口到 EPLAN 网络的连接") 要创建从未标记端口到EPLAN网络的连接,请向端点发送`POST`请求[`/fabric/v4/connections`](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/connections/createconnection.md)。在请求正文中指定连接的配置详情。 ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d ' {   "type": "EPLAN_VC",   "name": "MY-EPLAN-CONNECTION-1",   "bandwidth": 1000,   "aSide": {     "accessPoint": {       "type": "COLO",       "port": {         "uuid": "9127bb72-5f4f-4517-be74-3af7ce612687"       }     }   },   "zSide": {     "accessPoint": {       "type": "NETWORK",       "network": {         "uuid": "25f8884e-85e3-4eaa-8ea9-a7ad2ca5b3c2"       }     }   },   "order": {     "purchaseOrderNumber": "1-129105284100"   },   "notifications": [     {       "type": "ALL",       "emails": [         "test@equinix.com",         "test1@equinix.com"       ]     }   ] }' ``` 请求正文中包含的参数特定于此示例。参数及其说明的完整列表,请参见[API参考手册](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/connections/createconnection.md)。 ## 创建从虚拟设备到 EVPLAN 网络的连接[​](#创建从虚拟设备到-evplan-网络的连接 "直接链接至创建从虚拟设备到 EVPLAN 网络的连接") 要创建从虚拟设备到EVPLAN网络的连接,请向端点发送`POST`请求[`/fabric/v4/connections`](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/connections/createconnection.md)。在请求正文中指定连接的配置详情。 ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d ' {   "type": "EVPLAN_VC",   "name": "MY-VD-EVPLAN-CONNECTION-1",   "bandwidth": 1000,   "aSide": {     "accessPoint": {       "type": "VD",       "virtualDevice": {         "type": "EDGE",         "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"       },       "interface": {         "type": "NETWORK",         "id": 7       }     }   },   "zSide": {     "accessPoint": {       "type": "NETWORK",       "network": {         "uuid": "25f8884e-85e3-4eaa-8ea9-a7ad2ca5b3c2"       }     }   },   "order": {     "purchaseOrderNumber": "1-129105284100"   },   "notifications": [     {       "type": "ALL",       "emails": [         "test@equinix.com",         "test1@equinix.com"       ]     }   ] }' ``` 请求正文中包含的参数特定于此示例。参数及其说明的完整列表,请参见[API参考手册](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/connections/createconnection.md)。